> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Ownership Tree

> Make an asynchronous request for an ownership tree.



## OpenAPI

````yaml /openapi/company_v1.yaml get /core/uboverify/create/{countryISO}/{companyCode}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/uboverify/create/{countryISO}/{companyCode}:
    parameters:
      - in: path
        name: countryISO
        description: 2-digit ISO country code
        schema:
          type: string
          enum:
            - AT
            - AU
            - BE
            - CN
            - DE
            - DK
            - FR
            - GB
            - IE
            - IT
            - JP
            - MY
            - NL
            - NZ
            - SG
        required: true
      - $ref: '#/components/parameters/companyCode'
    get:
      tags:
        - UBO Verify
      summary: Request Ownership Tree
      description: Make an asynchronous request for an ownership tree.
      operationId: UboVerify_Create
      parameters:
        - schema:
            type: integer
            minimum: 2
          in: query
          name: maxCreditCost
          description: The maximum number of credits to be spent on the data retrieved
          required: true
        - schema:
            type: integer
            default: 25
            minimum: 1
            maximum: 100
          in: query
          name: uboThreshold
          description: The percentage of total ownership to flag as a UBO
        - schema:
            type: integer
            minimum: 3
          in: query
          name: maxLayers
          description: The maximum number of layers of ownership to unwrap
        - in: query
          name: continuationKeys
          description: >-
            Continuation keys from a previous ownership tree. Can be supplied
            multiple times to continue more than one branch.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - schema:
            type: integer
          in: query
          name: parentTreeId
          description: >-
            If provided, generates a new ownership tree as a continuation of the
            specified parent tree (by ID). This allows you to continue or modify
            a previous tree using updated parameters (such as maxCreditCost,
            maxLayers, or uboThreshold).
        - $ref: '#/components/parameters/regAuth'
      responses:
        '201':
          $ref: '#/components/responses/CreateUboResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  ownershipTreeField:
                    type: object
                    properties:
                      orderIdField:
                        type: string
                  responseCodeField:
                    type: string
                  responseDetailsField:
                    type: string
              examples:
                maxCreditCost not supplied:
                  value:
                    ownershipTreeField:
                      orderIdField: '100993'
                    responseCodeField: '107'
                    responseDetailsField: INVALID_MAX_CREDIT_COST
                Invalid Jurisdiction:
                  value:
                    ownershipTreeField:
                      orderIdField: '100992'
                    responseCodeField: '107'
                    responseDetailsField: UNSUPPORTED_JURISDICTION
                Invalid maxCreditCost:
                  value:
                    ownershipTreeField:
                      orderIdField: '100999'
                    responseCodeField: '107'
                    responseDetailsField: INVALID_MAX_CREDIT_COST
                Invalid uboThreshold:
                  value:
                    ownershipTreeField:
                      orderIdField: '101000'
                    responseCodeField: '107'
                    responseDetailsField: INVALID_UBO_THRESHOLD
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  responseCodeField:
                    type: string
                  responseDetailsField:
                    type: string
              examples:
                Forbidden:
                  value:
                    responseCodeField: '403'
                    responseDetailsField: INSUFFICIENT_PERMISSIONS
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
              examples:
                Company Not Found:
                  value:
                    ownershipTreeField:
                      orderIdField: '954550'
                    responseCodeField: '105'
                    responseDetailsField: COMPANY_NOT_FOUND
                Invalid Company Number:
                  value:
                    ownershipTreeField:
                      orderIdField: '954540'
                    responseCodeField: '105'
                    responseDetailsField: COMPANY_NUMBER_NOT_VALID_FORMAT
components:
  parameters:
    companyCode:
      name: companyCode
      in: path
      required: true
      schema:
        type: string
      description: Retrieved from search results "codeField" attribute
      example: GB12485372
    regAuth:
      name: regAuth
      in: query
      schema:
        type: string
      description: Registration Authority string from search query
      example: ITTO
  responses:
    CreateUboResponse:
      description: UBO Verify Order Creation Response
      content:
        application/json:
          schema:
            type: object
            properties:
              ownershipTreeField:
                type: object
                properties:
                  statusField:
                    type: string
                  orderIdField:
                    type: string
              responseCodeField:
                type: string
          examples:
            Successful Order:
              value:
                ownershipTreeField:
                  statusField: SUCCESS
                  orderIdField: '100437'
                responseCodeField: '201'
  schemas:
    ProblemDetail:
      title: ProblemDetail
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````